from setuptools import setup
from distutils.core import setup
from Cython.Build import cythonize

setup(name='obgraph',
      version='0.0.11',
      description='obgraph',
      url='http://github.com/ivargr/obgraph',
      author='Ivar Grytten',
      author_email='',
      license='MIT',
      packages=["obgraph"],
      zip_safe=False,
      install_requires=['numpy==1.20.3', 'tqdm', 'pathos', 'graph_kmer_index>=0.0.16', 'shared_memory_wrapper>=0.0.7'],
      classifiers=[
            'Programming Language :: Python :: 3'
      ],
      entry_points={
            'console_scripts': ['obgraph=obgraph.command_line_interface:main']
      },
      ext_modules = cythonize("obgraph/cython_traversing.pyx"),
)

"""

rm -rf dist
python3 setup.py sdist
twine upload --skip-existing dist/*


rm -rf dist
python3 setup.py sdist bdist_wheel
auditwheel repair --plat manylinux_2_17_x86_64 dist/obgraph-*-cp38-cp38-linux_x86_64.whl
rm dist/*.whl
mv wheelhouse/* dist
python3 -m twine upload --repository pypi dist/*

"""